Bug 991679 (cron-to-timer-units) - TRACKER: Systemd timer unit migration
Summary: TRACKER: Systemd timer unit migration
Status: CLOSED WONTFIX
Alias: cron-to-timer-units
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Radek Vokal
URL:
Whiteboard:
Keywords: FutureFeature, Tracking
Depends On: 991684 991696 1053590 1064537 1077640
Blocks: 1076445
TreeView+ depends on / blocked
 
Reported: 2013-08-03 14:58 UTC by Jóhann B. Guðmundsson
Modified: 2014-04-23 12:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-23 12:59:39 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jóhann B. Guðmundsson 2013-08-03 14:58:09 UTC
Description of problem:

Cron jobs to systemd timer units migration

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jaroslav Reznik 2013-09-16 08:48:57 UTC
Adding Tracking, FutureFeature keywords to avoid rawhide -> f20 rebase of this bug.

Comment 4 Jóhann B. Guðmundsson 2014-03-17 13:03:59 UTC
Just a side note that the necessary rework and cleanup of all the systemd units in Fedora will be kept in a separated Feature/tracking bug

Comment 5 Jóhann B. Guðmundsson 2014-03-19 14:35:18 UTC
Tomasz sysstat wont be migrated

Comment 6 Jóhann B. Guðmundsson 2014-04-23 12:59:39 UTC
I have formally retracted this feature since FPC members are under the assumption that it is fine to introduce a new package or a sub package and have that sub package depend on systemd when neither that nor the original package contained systemd units or otherwise has or had an existing hard dependency on systemd.

In other words they have chosen to introduce an dependency on systemd where there should be none which at that point you could just as well migrate everything from cron to systemd unit which requires a completely different implementation ( thus completely differently constructed section in the guidelines ) and is absolutely not the intention of my proposal since cron is not 1 to 1 replacement for systemd.

Cronie has it's purpose for those components that do not depend on systemd as well as serving administrative and end users cron jobs handler and we should keep it that way since both components ( systemd-timers and cronie ) complement each other. 

But since FPC are such experts on how this should be implemented in the distribution it's best to allow them to do just that as well as observer how and what they themselves will actually migrated and leave Red Hat to clean up that mess they will leave behind in RHEL 8 and it will start affecting RHEL customers. 

Good luck!


Note You need to log in before you can comment on or make changes to this bug.